package jp.ac.osaka_u.sparql;

import java.util.List;
import java.util.Map;

public class ResultPack {

	private int historyIndex;
	private boolean hasNext;
	private boolean hasPrev;
	private String inputWord;

	private List<Map<String, String>> results;

	public boolean isHasNext() {
		return hasNext;
	}

	public void setHasNext(boolean hasNext) {
		this.hasNext = hasNext;
	}

	public boolean isHasPrev() {
		return hasPrev;
	}

	public void setHasPrev(boolean hasPrev) {
		this.hasPrev = hasPrev;
	}

	public List<Map<String, String>> getResults() {
		return results;
	}

	public void setResults(List<Map<String, String>> triples) {
		this.results = triples;
	}

	public void setHistoryIndex(int historyIndex) {
		this.historyIndex = historyIndex;
	}

	public int getHistoryIndex() {
		return historyIndex;
	}

	public String getInputWord() {
		return inputWord;
	}

	public void setInputWord(String inputWord) {
		this.inputWord = inputWord;
	}

}
